Skip to content

Retrieve information about sandbox snapshots managed by the authenticated Vault.

GET/api/{version}/objects/sandbox/snapshot
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/sandbox/snapshot
{ "responseStatus": "SUCCESS", "data": { "available": 3, "snapshots": [ { "name": "Sandbox A Snapshot", "api_name": "sandbox_a_snapshot__c", "type": "configuration", "description": "New snapshot of a sandbox.", "status": "active", "upgrade_status": "Good", "source_sandbox": "SandboxA", "total_object_records": 82, "document_versions": 0, "vault_version": "22R3.2", "update_available": "2022-12-03T00:04:59.000Z", "created_date": "2022-12-02T00:04:59.000Z", "expiration_date": "2023-04-25T05:00:00.000Z", "domain": "veepharm.com", "created_by": 1006595 } ] } }

The response contains information about the snapshots managed by the authenticated Vault.

NameDescription
nameThe name of the snapshot.
api_nameThe API name of the snapshot.
typeThe type of the source sandbox, such as configuration.
descriptionThe description of the snapshot.
statusThe current status of the snapshot:
  • building: Snapshot is being created or updated
  • active: Snapshot is accessible for use
  • maintenance: Snapshot is being upgraded
  • deleted: Snapshot is expired
upgrade_statusThe current upgrade status of the snapshot:
  • Good: No upgrade is required for the snapshot
  • Upgrade Required: An upgrade is required for the snapshot
  • Upgrade Available: An upgrade is available for the snapshot
  • Expired: Snapshot has expired
source_sandboxThe name of the sandbox Vault the snapshot was created from.
total_object_recordsThe total number of object records in the snapshot.
document_versionsThe total number of document versions in the snapshot.
vault_versionThe release version of the source sandbox Vault when the snapshot was created.
update_availableThe date and time when the snapshot can next be updated. Learn more about updating snapshots in Vault Help.
expiration_dateThe date and time when the snapshot will expire.
domainThe domain of the source sandbox Vault.